## org.eclipse.emf.mapping.provider
Class MappingItemProvider.TypeMappingHelperWrapper

    java.lang.Object
      org.eclipse.emf.edit.provider.ItemPropertyDescriptor.PropertyValueWrapper
          org.eclipse.emf.mapping.provider.MappingItemProvider.TypeMappingHelperWrapper

All Implemented Interfaces:
  IItemLabelProvider, IItemPropertySource

Enclosing class:
  MappingItemProvider

    public static class MappingItemProvider.TypeMappingHelperWrapper

extends ItemPropertyDescriptor.PropertyValueWrapper

Field Summary
`protected Mapping` `mapping`
`protected MappingHelper` `typeMappingHelper`

Fields inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptor.PropertyValueWrapper
`itemDelegator, nestedPropertySource, object, propertyValue`

Constructor Summary
`MappingItemProvider.TypeMappingHelperWrapper(AdapterFactory adapterFactory, Mapping mapping, MappingHelper typeMappingHelper)`

Method Summary
`protected IItemPropertyDescriptor` `createPropertyDescriptorDecorator(java.lang.Object object, IItemPropertyDescriptor decoratedDescriptor)`

Methods inherited from class org.eclipse.emf.edit.provider.ItemPropertyDescriptor.PropertyValueWrapper
`getEditableValue, getImage, getPropertyDescriptor, getPropertyDescriptors, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mapping

    protected Mapping mapping

### typeMappingHelper

    protected MappingHelper typeMappingHelper

Constructor Detail

### MappingItemProvider.TypeMappingHelperWrapper

    public MappingItemProvider.TypeMappingHelperWrapper(AdapterFactory adapterFactory,
                                                        Mapping mapping,
                                                        MappingHelper typeMappingHelper)

Method Detail

### createPropertyDescriptorDecorator

    protected IItemPropertyDescriptor createPropertyDescriptorDecorator(java.lang.Object object,
                                                                        IItemPropertyDescriptor decoratedDescriptor)

  Overrides:
    `createPropertyDescriptorDecorator` in class `ItemPropertyDescriptor.PropertyValueWrapper`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.